.header-catalog__button {
  --button-padding-inline: var(--spacing-sm);
}

.header-catalog__button::before {
  content: '';
  display: block;
  background: transparent url('../../../icons/ffffff/menu.svg') no-repeat center;
  width: 1.5rem;
  height: 1.5rem;
  background-size: 1.5rem;
}

.header-catalog__button--active::before {
  background-image: url('../../../icons/ffffff/close.svg');
}

.header-catalog__dropdown {
  position: absolute;
  left: 0;
  width: 100%;
  z-index: 100;
  background: var(--color-surface);
  box-shadow: 0 8px 16px -8px var(--color-black-o-25);
  padding: var(--spacing-md) 0;
  margin-top: 20px;
}

.header-catalog__dropdown-container {
  display: grid;
  grid-gap: var(--spacing-lg);
  grid-template-columns: 3fr 1fr;
}

.header-catalog__menus {
  display: grid;
  grid-gap: var(--spacing-lg);
  grid-template-columns: repeat(3, 1fr);
}

.header-catalog__extra {
  display: grid;
  grid-gap: var(--spacing-md);
  align-content: baseline;
}

.header-catalog__extra-catalog {
  background-color: var(--color-primary-container);
  border-radius: var(--radius-sm);
  display: block;
  padding: var(--spacing-md);
  color: var(--color-text);
}

.header-catalog__extra-catalog-title {
  font-weight: bold;
  display: block;
}

.header-catalog__extra-catalog-description {
  color: var(--color-text-dimmed);
  font: var(--typography-body-small);
}

.header-catalog__extra-calculator {
  background-color: var(--color-material-red-50);
  border-radius: var(--radius-sm);
  display: block;
  padding: var(--spacing-md);
  color: var(--color-text);
}

.header-catalog__extra-calculator-title {
  font-weight: bold;
  display: block;
}

.header-catalog__extra-calculator-description {
  color: var(--color-text-dimmed);
  font: var(--typography-body-small);
  --p-margin--y: 0;
}

.header-catalog__tray-perforated-calculator {
  background-color: var(--color-material-yellow-100);
  border-radius: var(--radius-sm);
  display: block;
  padding: var(--spacing-md);
  color: var(--color-text);
}

.header-catalog__tray-perforated-calculator-title {
  font-weight: bold;
  display: block;
}

.header-catalog__tray-perforated-calculator-description {
  color: var(--color-text-dimmed);
  font: var(--typography-body-small);
  --p-margin--y: 0;
}
